### Enumeration

# PangoShapeFlags

since: 1.44

#### Declaration

    flags Pango.ShapeFlags

#### Description [src]

Flags influencing the shaping process.

`PangoShapeFlags` can be passed to `pango_shape_with_flags()`.

Available since: 1.44

#### Members

`PANGO_SHAPE_NONE`

  Default value.

  - Value: `0`
  - Nickname: `none`
  - Available since: 1.44
`PANGO_SHAPE_ROUND_POSITIONS`

  Round glyph positions and widths to whole device units This option should be set if the target renderer can’t do subpixel positioning of glyphs.

  - Value: `1`
  - Nickname: `round-positions`
  - Available since: 1.44